package com.community.huiju.dao;

import com.community.huiju.model.TpShopImg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TpShopImgMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpShopImg record);

    int insertSelective(TpShopImg record);

    TpShopImg selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpShopImg record);

    int updateByPrimaryKey(TpShopImg record);

    /**
     * 根据小区和商铺ID获取图片
     * @param communityId
     * @param shopId
     * @return
     */
    List<TpShopImg> selectShopIdCommunity(@Param("communityId") Integer communityId, @Param("shopId") Integer shopId, @Param("imgType")Integer imgType);
}